[@lancedb/lancedb](../README.md) / [Exports](../modules.md) / VectorColumnOptions

# Class: VectorColumnOptions

## Table of contents

### Constructors

- [constructor](VectorColumnOptions.md#constructor)

### Properties

- [type](VectorColumnOptions.md#type)

## Constructors

### constructor

• **new VectorColumnOptions**(`values?`): [`VectorColumnOptions`](VectorColumnOptions.md)

#### Parameters

| Name | Type |
| :------ | :------ |
| `values?` | `Partial`\<[`VectorColumnOptions`](VectorColumnOptions.md)\> |

#### Returns

[`VectorColumnOptions`](VectorColumnOptions.md)

#### Defined in

[arrow.ts:49](https://github.com/lancedb/lancedb/blob/9d178c7/nodejs/lancedb/arrow.ts#L49)

## Properties

### type

• **type**: `Float`\<`Floats`\>

Vector column type.

#### Defined in

[arrow.ts:47](https://github.com/lancedb/lancedb/blob/9d178c7/nodejs/lancedb/arrow.ts#L47)
